summaryrefslogtreecommitdiffstats
path: root/graphics
diff options
context:
space:
mode:
Diffstat (limited to 'graphics')
-rw-r--r--graphics/viewnior/README17
-rw-r--r--graphics/viewnior/doinst.sh9
-rw-r--r--graphics/viewnior/slack-desc19
-rwxr-xr-xgraphics/viewnior/viewnior.SlackBuild70
-rw-r--r--graphics/viewnior/viewnior.info10
5 files changed, 125 insertions, 0 deletions
diff --git a/graphics/viewnior/README b/graphics/viewnior/README
new file mode 100644
index 0000000000..76f0a67d75
--- /dev/null
+++ b/graphics/viewnior/README
@@ -0,0 +1,17 @@
+Viewnior (The Elegant Image Viewer)
+
+This is Viewnior, an image viewer program. Created to be simple, fast
+and elegant. Its minimalistic interface provides more screen space for
+your images. Viewnior is inspired by big projects like Eye of Gnome,
+because of its usability and richness, and by GPicView, because of its
+lightweight design and minimal interface.
+
+Viewnior is written in C (GTK+) and uses modified version of the GtkImageView
+library by Bjourn Lindqvist.
+
+Viewnior has an optional feature for setting the image as wallpaper. This only
+works in GNOME environment and requires GConf and ORBit2. Please refer to the
+comment in the SlackBuild if you want to enable it.
+
+
+Website: <http://xsisqox.github.com/Viewnior/>
diff --git a/graphics/viewnior/doinst.sh b/graphics/viewnior/doinst.sh
new file mode 100644
index 0000000000..3e5691a052
--- /dev/null
+++ b/graphics/viewnior/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/graphics/viewnior/slack-desc b/graphics/viewnior/slack-desc
new file mode 100644
index 0000000000..c0cf9a4e5a
--- /dev/null
+++ b/graphics/viewnior/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+viewnior: Viewnior (The Elegant Image Viewer)
+viewnior:
+viewnior: This is Viewnior, an image viewer program. Created to be simple,
+viewnior: fast and elegant. Its minimalistic interface provides more
+viewnior: screen space for your images. Viewnior is inspired by big projects
+viewnior: like Eye of Gnome, because of its usability and richness, and by
+viewnior: GPicView, because of its lightweight design and minimal interface.
+viewnior:
+viewnior: Viewnior is written in C (GTK+) and uses modified version of the
+viewnior: GtkImageView library by Bjourn Lindqvist.
+viewnior:
diff --git a/graphics/viewnior/viewnior.SlackBuild b/graphics/viewnior/viewnior.SlackBuild
new file mode 100755
index 0000000000..98421e8f8e
--- /dev/null
+++ b/graphics/viewnior/viewnior.SlackBuild
@@ -0,0 +1,70 @@
+#!/bin/sh
+
+# Slackware build script for Viewnior
+# Written by Šime Ramov <s@ramov.com>
+
+PRGNAM=viewnior
+VERSION=${VERSION:-1.0}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xzvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Add '--enable-wallpaper' to the list of configure options if you
+# want the ability to set an image as wallpaper. Please note this only
+# works in GNOME environment and requires GConf, which in turn
+# requires ORBit2.
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING ChangeLog INSTALL NEWS README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/graphics/viewnior/viewnior.info b/graphics/viewnior/viewnior.info
new file mode 100644
index 0000000000..011b2c124c
--- /dev/null
+++ b/graphics/viewnior/viewnior.info
@@ -0,0 +1,10 @@
+PRGNAM="viewnior"
+VERSION="1.0"
+HOMEPAGE="http://xsisqox.github.com/Viewnior/"
+DOWNLOAD="http://cloud.github.com/downloads/xsisqox/Viewnior/viewnior-1.0.tar.gz"
+MD5SUM="a9cc6cdf5b0c628ad7a2577656915f58"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Šime Ramov"
+EMAIL="s@ramov.com"
+APPROVED="Erik Hanson"